Finance And Operations Versions - Apply Fin Ops Version
Apply a Finance and Operations version.
Applies the specified Finance and Operations application version to an environment as a long-running operation.
POST https://api.powerplatform.com/dynamics/environments/{environmentId}/finopsversions/{version}/apply?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string (uuid) |
The unique identifier of the environment. |
|
version
|
path | True |
string |
The Finance and Operations application version to apply (for example, 10.0.47.5). |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
The apply version operation was accepted and is being processed. Headers
|
|
| 204 No Content |
No update was required because the environment is already at or above the requested version. |
|
| 400 Bad Request |
Bad Request. |
|
| 401 Unauthorized |
Unauthorized. |
|
| 403 Forbidden |
Forbidden. |
|
| 404 Not Found |
Not Found. |
|
| 500 Internal Server Error |
Internal Server Error. |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Apply |
Accepted response for a long-running apply version operation. |
| Error | |
|
Fin |
Standard error response. |
ApplyFinOpsVersionAcceptedResponse
Accepted response for a long-running apply version operation.
| Name | Type | Description |
|---|---|---|
| operationId |
string |
The identifier of the long-running operation to poll for status. |
| resourceId |
string |
The identifier of the environment resource the operation applies to. |
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message. |
FinOpsErrorResponse
Standard error response.
| Name | Type | Description |
|---|---|---|
| error |